<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_66a6b98e1f1601e30de" . "10feb344fcdb6" => base64_decode("SW52YWxpZ" . "CB2YWx1ZS" . "Ai"), "_2cb499b451e" . "b718f841aaa7" . "8dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIGZpZWx" . "kIA=="), "_535e3fcb3f5d89c525bb618a08cc" . "8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG" . "9yIGEgZG9jdW1lbnQgb2JqZWN0"), "_a7fdbac2a6d0ebb5bb8ea569e81" . "73d7b" => base64_decode("IiBmb3IgZGF0ZSBmaWV" . "sZCA="), "_27ba77e" . "349cbe14" . "4e8794d0" . "c0497a10" . "6" => base64_decode("IiBnaXZlbiBmb" . "3Igc2VsZWN0IG" . "ZpZWxkIA=="), "_fa96cdf58bff3b0695fb" . "2bc0803d7b12" => base64_decode("IGRvZXMgbm9" . "0IGV4aXN0"), "_bd71c3b5c201fc11db82ed14" . "ce424de5" => base64_decode("aW5f" . "YXJy" . "YXk="), "_dc99f29e" . "b97c274b4" . "e47f6701f" . "b2d842" => base64_decode("TWV0YWRhdGEgZmllb" . "GQg"), "_3aec16c1aa210" . "4da778e412207d" . "6c415" => base64_decode("L15cZH" . "sxNH18" . "XGR7OH" . "0kLw=="), "_4b4a03dbe69a4c39db014" . "be2875a7313" => base64_decode("Tm9uLW51bWVyaWMgdmFsdWUgI" . "g=="), "_bb26699a673361ff" . "7c17444a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1l" . "bnQgbGluayBmaWVsZCA="), "_62d701c3c53404f06345e" . "b35720a47b4" => base64_decode("aXNf" . "bnVt" . "ZXJp" . "Yw=="), "_ac927f4168510971a" . "59508f1f08cf98a" => base64_decode("L15cZHs4fSQ" . "v"), "_a827c5bc" . "10b88ccab" . "760d95c58" . "bfbeaa" => base64_decode("Q291bGQgbm90IH" . "BhcnNlIHZhbHVl" . "ICI="), "_d013620d4b36b1" . "d03509cbeff31bb" . "db9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBmaW" . "VsZCA="), "_d155d43a" . "39de93f85" . "8123c6b6c" . "e31d8a" => base64_decode("cHJlZ19tYXR" . "jaA=="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_dc99f29eb97c27" . "4b4e47f6701fb2d" . "842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_fa96cdf58bff3b0695fb2bc" . "0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_62d701c3c53404f06345" . "eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4b4a03dbe69a4c3" . "9db014be2875a731" . "3"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d013620" . "d4b36b1d" . "03509cbe" . "ff31bbdb" . "9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d155d43a39de9" . "3f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_3aec16c1aa2104" . "da778e412207d6c" . "415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a827c5bc1" . "0b88ccab76" . "0d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2cb499b451eb71" . "8f841aaa78dc70c" . "c52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bd71c3b5c201fc11" . "db82ed14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_66a6b98e1f1601e30de10feb344" . "fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_27ba77e349cbe144e8794d0c0497a1" . "06"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_62d701c3c53404f06345eb35720a4" . "7b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bb26699a673361ff7c17444a2a82" . "deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_535e3fcb3f5d89c525bb618a08cc" . "8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d155d43a39de93f85" . "8123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ac927f4168510" . "971a59508f1f08" . "cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a827c5bc10b88ccab760d95c" . "58bfbeaa"] . $value . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a7fdbac2a6d0ebb5bb" . "8ea569e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}